Simulating the Schrödinger wave equation using the Crank-Nicolson method in 2+1 dimensions Simulating the Schrödinger wave equation using the Crank-Nicolson method in 2+1 dimensions

Loading...
Searching...
No Matches
Classes
WaveSimulation.hpp File Reference

The definition of the WaveSimulation class. More...

`#include "constants.hpp"`
`#include "literals.hpp"`
`#include <armadillo>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
class | WaveSimulation
| Simulate the evolution of a wave packet in 2 + 1 domensions. More...

## Detailed Description

The definition of the WaveSimulation class.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file WaveSimulation.hpp.